#include <iostream>
#include <chrono>
#include <ctime>
#include <thread>
#include <unistd.h>
#include <omp.h>

// This is just a example for using OpenMp

int main(int argc, char *argv[]) {
	
	auto c_start = std::clock();

	#pragma omp parallel for
	for (int i = 0; i < 10; i++){
		sleep(1);
		std::cout << "Done: (iteration " << i <<")" << std::endl;
	}

	auto c_end = std::clock();

	// std::cout << "CPU clock time: " << 1000.0 * (c_end - c_start) / CLOCKS_PER_SEC << " ms" << std::endl;
}